@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-news {
  background-color: lightyellow;
  min-height: 100vh;
  &-container {
    @include max-width;
    padding-top: 7em;
    min-height: 100vh;
    h2 {
      @include section-title;
      color: $users-main;
    }
    .all-news {
      display: flex;
      justify-content: space-between;
      height: 100%;

      .button-prev,
      .button-next {
        cursor: pointer;
        font-size: 5em;
        opacity: 0.8;
        color: $dark-grey;
        display: flex;
        align-items: center;
      }
      .button-prev--disable {
        visibility: hidden;
      }
      .cards .column {
        margin: 10px;
        border: 3px solid #000;
        box-shadow: 3px 3px 8px 0px rgba(0, 0, 0, 0.3);
      }
      .cards {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        height: 100%;
        min-width: 80%;

        .last {
          width: calc(58% + 1em);
          height: 18em;
          margin-right: 1em;
          margin-bottom: 1em;
          @include respondTo(phones) {
            width: 100%;
            margin: 1em;
          }
          @include respondTo(wide-phones) {
            width: 100%;
            margin: 1em;
          }
          @include respondTo(tablets) {
            width: 100%;
            margin: 1em;
          }
          &:hover {
            .card-text {
              display: none;
            }
          }
          @include respondTo(xlg-desktops) {
            height: 20em;
          }
          .card {
            height: 18em;
            background-color: white;
            border: 1em solid white;
            position: relative;
            z-index: 1;
            cursor: pointer;
            .pseudo-bg {
              display: none;
              opacity: 0.6;
              top: 0;
              left: 0;
              bottom: 0;
              right: 0;
              position: absolute;
              z-index: 20;
              width: 100%;
              height: 100%;
              background-color: $black;
            }
            &:hover {
              .pseudo-bg {
                display: block;
              }
            }
            .pseudo-bg-text {
              z-index: 30;
              p {
                font-size: 1.5em;
                font-family: $users-main-title;
                font-weight: 700;
              }
            }

            @include respondTo(xlg-desktops) {
              height: 20em;
            }
            &-text {
              position: absolute;
              width: 100%;
              bottom: 0;
              z-index: 1;
              color: $white;
              padding: 1em;
              &-title {
                font-weight: 600;
              }
              &-date {
                font-size: 0.9em;
              }
              &:after {
                content: "";
                opacity: 0.8;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                position: absolute;
                z-index: -1;
                background-color: $dark-grey;
              }
            }
          }
        }
        .other {
          @extend .last;
          width: 29%;
          @include respondTo(phones) {
            width: 100%;
            margin: 1em;
          }
          @include respondTo(wide-phones) {
            width: 100%;
            margin: 1em;
          }
          @include respondTo(tablets) {
            width: 100%;
            margin: 1em;
          }
        }
        .news_picture {
          width: 15em;
        }
      }
    }
  }
}
